### Hierarchy

- GetGlobalObjectOptions

## Index

### Properties

- returnEmptyObject
- throwIfUnavailable
- usageDesc

## Properties

### Optional returnEmptyObject

returnEmptyObject: boolean

- Defined in utils.ts:244

If the object is not found, return an new empty object instead of undefined. Requires throwIfUnavailable to be falsey.

default

  false

### Optional throwIfUnavailable

throwIfUnavailable: boolean

- Defined in utils.ts:234

Throw an error if the object is not found.

default

  false

### Optional usageDesc

usageDesc: string

- Defined in utils.ts:238

Additional information to include in an error if thrown.

Generated using TypeDoc